//
//  GeoCalculatorAppAppDelegate.h
//  GeoCalculatorApp
//
//  Created by Holger Hinzberg on 15.03.11.
//  Copyright 2011 Cocoa-Coding. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "GeometryCalculator.h"

@interface GeoCalcAppDelegate : NSObject <NSApplicationDelegate> {
@private
    NSWindow *window;

    IBOutlet NSTextField *lengthTextField;
    IBOutlet NSTextField *widthTextField;
    IBOutlet NSTextField *heightTextField;
    IBOutlet NSTextField *areaTextField;
    IBOutlet NSTextField *volumeTextField;
    // Ein GeometryCalculator-Objekt
    // für die ganze Anwendung
    GeometryCalculator *calculator;
}

@property (assign) IBOutlet NSWindow *window;

- (IBAction)deleteFields:(id)sender;
- (IBAction)calculate:(id)sender;

@end
