//
//  GeometryCalculator.m
//  Volumenrechner
//
//  Created by Holger Hinzberg on 25.10.10.
//  Copyright (c) 2010 Cocoa-Coding. All rights reserved.
//

#import "GeometryCalculator.h"

@implementation GeometryCalculator

@synthesize height;
@synthesize width;
@synthesize length;

-(double)calculateRectangleArea
{
	return length * width;
}

-(double)calculateCuboidVolume
{
	return [self calculateRectangleArea] * height;
}

- (NSString *)description
{
	NSString *value =
	[NSString stringWithFormat:@"Länge: %.2f",length];
	value = [value stringByAppendingFormat:@" Breite: %.2f", width];
	value = [value stringByAppendingFormat:@" Höhe: %.2f", height];
	return value;
}

@end
